﻿/**Begin D:\PDMM\pdm1\SYS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_UNITTEST') 
 CREATE TABLE T_OPENAPI_UNITTEST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FAPPLYORG BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FUSAGE VARCHAR(100) DEFAULT ' ' NOT NULL,
FMULCOMBOFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPICTUREFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATEFIELD DATETIME,
FFLEXFIELD BIGINT DEFAULT 0 NOT NULL,
FMATERIELFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_UT_ENTRY') 
 CREATE TABLE T_OPENAPI_UT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FMATERIA BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FAPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDEREDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQUIREDATE DATETIME,
FBILLSTATUSFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALNAME1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODEL VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_UT_ENTRY1') 
 CREATE TABLE T_OPENAPI_UT_ENTRY1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEXTFIELD5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTEGERFIELD1 BIGINT DEFAULT 0 NOT NULL,
FDECIMALFIELD1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIGINTFIELD1 BIGINT DEFAULT 0 NOT NULL,
FTEXTAREAFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FTIMEFIELD BIGINT DEFAULT 0 NOT NULL,
FCHECKBOXFIELD CHAR(1) DEFAULT ' ' NOT NULL,
FCOMBOFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_UT_SUBENTRY') 
 CREATE TABLE T_OPENAPI_UT_SUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEXTFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIELFIELD1 BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD BIGINT DEFAULT 0 NOT NULL,
FDECIMALFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIGINTFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_UT_SUBENTRY1') 
 CREATE TABLE T_OPENAPI_UT_SUBENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEXTFIELD6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FTIMEFIELD1 BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD2 BIGINT DEFAULT 0 NOT NULL,
FBIGINTFIELD2 BIGINT DEFAULT 0 NOT NULL,
FMATERIELFIELD2 BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_UT_MULTIPLE') 
 CREATE TABLE T_OPENAPI_UT_MULTIPLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPENAPI_UNITTEST' AND KSQL_COL_NAME ='FAPPLIER')
 ALTER TABLE T_OPENAPI_UNITTEST ADD (FAPPLIER BIGINT DEFAULT 0 NOT NULL );


/**End D:\PDMM\pdm1\SYS_table.sql **/
