﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS_BASICAUTH' AND KSQL_COL_NAME ='FSTARTTIME') 
 ALTER TABLE T_OPEN_3RDAPPS_BASICAUTH ADD (FSTARTTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS_BASICAUTH' AND KSQL_COL_NAME ='FENDTIME') 
 ALTER TABLE T_OPEN_3RDAPPS_BASICAUTH ADD (FENDTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS_BASICAUTH' AND KSQL_COL_NAME ='FTHIRDSECCONFIGID') 
 ALTER TABLE T_OPEN_3RDAPPS_BASICAUTH ADD (FTHIRDSECCONFIGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS' AND KSQL_COL_NAME ='FISSIGNAUTH') 
 ALTER TABLE T_OPEN_3RDAPPS ADD (FISSIGNAUTH CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS' AND KSQL_COL_NAME ='FISRESULTSIGN') 
 ALTER TABLE T_OPEN_3RDAPPS ADD (FISRESULTSIGN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_3RDAPPS_SECURITY_CONF') 
 CREATE TABLE T_OPEN_3RDAPPS_SECURITY_CONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(20) DEFAULT ' ' NOT NULL,
FTHIRDID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNENABLE CHAR(1) DEFAULT '0' NOT NULL,
FSIGNTYPE BIGINT DEFAULT 0 NOT NULL,
FSHAKEY VARCHAR(500) DEFAULT ' ',
FENCRYPTENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISALLOWALLUSER CHAR(1) DEFAULT '1' NOT NULL,
FISENCRYPTALLAPI CHAR(1) DEFAULT '0' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_3RDAPPS_ENCRYPT_API') 
 CREATE TABLE T_OPEN_3RDAPPS_ENCRYPT_API (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FAPIID BIGINT DEFAULT 0 NOT NULL,
FENCRYPTION BIGINT DEFAULT 0 NOT NULL,
FTHIRDSECCONFIGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_CERT_SIGNING_REQUEST') 
 CREATE TABLE T_OPEN_CERT_SIGNING_REQUEST (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROVINCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_CERTIFICATE') 
 CREATE TABLE T_OPEN_CERTIFICATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FPUBLICKEY VARCHAR(500) DEFAULT ' ' NOT NULL,
FPRIVATEKEY VARCHAR(500) DEFAULT ' ',
FCERTIFICATETYPE CHAR(1) DEFAULT '0' NOT NULL,
FCSRID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_CERT_AUTHORIZ') 
 CREATE TABLE T_OPEN_CERT_AUTHORIZ (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FCSRID BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATEID BIGINT DEFAULT 0 NOT NULL,
FISSUER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME DEFAULT GETDATE() NOT NULL,
FENDTIME DATETIME DEFAULT GETDATE() NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_CERTIFICATE_USE') 
 CREATE TABLE T_OPEN_CERTIFICATE_USE (
FID BIGINT DEFAULT 0 NOT NULL,
FTHIRDID BIGINT DEFAULT 0 NOT NULL,
FOPENCAID BIGINT DEFAULT 0 NOT NULL,
FTHIRDCAID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_SIGN_ENCRYPT_LOG') 
 CREATE TABLE T_OPEN_SIGN_ENCRYPT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FTHIRDID BIGINT DEFAULT 0 NOT NULL,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSIGN_CONTENT VARCHAR(500) DEFAULT ' ',
FAPP_TYPE CHAR(1) DEFAULT '0' NOT NULL,
FCERTID BIGINT DEFAULT 0 NOT NULL,
FKEY_TYPE CHAR(1) DEFAULT '0' NOT NULL,
FKEY VARCHAR(500) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_API_CALLBACK') 
 CREATE TABLE T_OPEN_API_CALLBACK (
FID BIGINT DEFAULT 0 NOT NULL,
FAPIID BIGINT DEFAULT 0 NOT NULL,
FTHIRDID BIGINT DEFAULT 0 NOT NULL,
FAGENTUSERID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_CERT_AUTHORIZ_L') 
 CREATE TABLE T_OPEN_CERT_AUTHORIZ_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDISCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);