 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASICAUTH_THIRDSECCONFID') CREATE INDEX IDX_BASICAUTH_THIRDSECCONFID ON T_OPEN_3RDAPPS_BASICAUTH ( FTHIRDSECCONFIGID );

 EXEC P_ALTERPK 'PK_OPEN_3RDAPPS_SECURITY_CONF', 'T_OPEN_3RDAPPS_SECURITY_CONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_3RPPS_SEC_CONF_FNUMBER') CREATE INDEX IDX_3RPPS_SEC_CONF_FNUMBER ON T_OPEN_3RDAPPS_SECURITY_CONF ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_3RPPS_SEC_CONF_THIRD') CREATE INDEX IDX_3RPPS_SEC_CONF_THIRD ON T_OPEN_3RDAPPS_SECURITY_CONF ( FTHIRDID );


 EXEC P_ALTERPK 'PK_T_OPEN_3RDAPPS_ENCRYPT_API', 'T_OPEN_3RDAPPS_ENCRYPT_API', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_3RAPPS_EN_THIRD') CREATE INDEX IDX_OPEN_3RAPPS_EN_THIRD ON T_OPEN_3RDAPPS_ENCRYPT_API ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_3RAPPS_EN_THIRDCONF') CREATE INDEX IDX_OPEN_3RAPPS_EN_THIRDCONF ON T_OPEN_3RDAPPS_ENCRYPT_API ( FTHIRDSECCONFIGID );


 EXEC P_ALTERPK 'PK_T_OPEN_CERT_SIGNING_REQUEST', 'T_OPEN_CERT_SIGNING_REQUEST', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_CSR_FNUMBER') CREATE  CLUSTERED INDEX IDX_OPEN_CSR_FNUMBER ON T_OPEN_CERT_SIGNING_REQUEST ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_OPEN_CERTIFICATE', 'T_OPEN_CERTIFICATE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_CERTIFICATE_FNUMBER') CREATE  CLUSTERED INDEX IDX_T_OPEN_CERTIFICATE_FNUMBER ON T_OPEN_CERTIFICATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_OPEN_CERT_AUTHORIZ', 'T_OPEN_CERT_AUTHORIZ', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_CERT_AUTHORIZ_FNUMBER') CREATE UNIQUE  CLUSTERED INDEX IDX_OPEN_CERT_AUTHORIZ_FNUMBER ON T_OPEN_CERT_AUTHORIZ ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_CERT_AUTHORIZ_CSRID') CREATE INDEX IDX_OPEN_CERT_AUTHORIZ_CSRID ON T_OPEN_CERT_AUTHORIZ ( FCSRID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_CERT_AUTHORIZ_CERTID') CREATE INDEX IDX_OPEN_CERT_AUTHORIZ_CERTID ON T_OPEN_CERT_AUTHORIZ ( FCERTIFICATEID );


 EXEC P_ALTERPK 'PK_T_OPEN_CERTIFICATE_USE', 'T_OPEN_CERTIFICATE_USE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_CERT_USE_THIRD') CREATE INDEX IDX_T_OPEN_CERT_USE_THIRD ON T_OPEN_CERTIFICATE_USE ( FTHIRDID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_CERT_USE_OPENCAID') CREATE INDEX IDX_T_OPEN_CERT_USE_OPENCAID ON T_OPEN_CERTIFICATE_USE ( FOPENCAID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_OPEN_CERT_USE_THIRDCAID') CREATE INDEX IDX_T_OPEN_CERT_USE_THIRDCAID ON T_OPEN_CERTIFICATE_USE ( FTHIRDCAID );


 EXEC P_ALTERPK 'PK_T_OPEN_SIGN_ENCRYPT_LOG', 'T_OPEN_SIGN_ENCRYPT_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_SIGN_EN_LOG_THIRD') CREATE INDEX IDX_OPEN_SIGN_EN_LOG_THIRD ON T_OPEN_SIGN_ENCRYPT_LOG ( FTHIRDID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_SIGN_EN_LOG_TRACE') CREATE INDEX IDX_OPEN_SIGN_EN_LOG_TRACE ON T_OPEN_SIGN_ENCRYPT_LOG ( FTRACEID );


 EXEC P_ALTERPK 'PK_T_OPEN_API_CALLBACK', 'T_OPEN_API_CALLBACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_API_CALLBACK_API') CREATE INDEX IDX_OPEN_API_CALLBACK_API ON T_OPEN_API_CALLBACK ( FAPIID );


 EXEC P_ALTERPK 'PK_T_OPEN_CERT_AUTHORIZ_L', 'T_OPEN_CERT_AUTHORIZ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OPEN_CERT_AUTHORIZ_FID') CREATE INDEX IDX_OPEN_CERT_AUTHORIZ_FID ON T_OPEN_CERT_AUTHORIZ_L ( FID ,FLOCALEID );